<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class SRPTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        DB::table('srp_ship_types')->insert([
            'code' => 'None',
            'description' => 'None',
        ]);

        DB::table('srp_ship_types')->insert([
            'code' => 'T1FDC',
            'description' => 'T1 Frig / Dessie / Cruiser',
        ]);

        DB::table('srp_ship_types')->insert([
            'code' => 'T1BC',
            'description' => 'T1 Battelcruiser',
        ]);

        DB::table('srp_ship_types')->insert([
            'code' => 'T2F',
            'description' => 'T2 Frigate',
        ]);

        DB::table('srp_ship_types')->insert([
            'code' => 'T3D',
            'description' => 'T3 Destroyer',
        ]);

        DB::table('srp_ship_types')->insert([
            'code' => 'T1T2Logi',
            'description' => 'T1 & T2 Logistics',
        ]);

        DB::table('srp_ship_types')->insert([
            'code' => 'RI',
            'description' => 'Recons / Interdictors',
        ]);

        DB::table('srp_ship_types')->insert([
            'code' => 'T2C',
            'description' => 'T2 Cruiser',
        ]);

        DB::table('srp_ship_types')->insert([
            'code' => 'T3C',
            'description' => 'T3 Cruiser',
        ]);

        DB::table('srp_ship_types')->insert([
            'code' => 'COM',
            'description' => 'Command Ship',
        ]);

        DB::table('srp_payouts')->insert([
            'code' => 'T1FDC',
            'payout' => 75.00,
        ]);

        DB::table('srp_payouts')->insert([
            'code' => 'T1BC',
            'payout' => 60.00,
        ]);

        DB::table('srp_payouts')->insert([
            'code' => 'T2F',
            'payout' => 60.00,
        ]);

        DB::table('srp_payouts')->insert([
            'code' => 'T3D',
            'payout' => 60.00,
        ]);

        DB::table('srp_payouts')->insert([
            'code' => 'T1T2Logi',
            'payout' => 100.00,
        ]);

        DB::table('srp_payouts')->insert([
            'code' => 'RI',
            'payout' => 50.00,
        ]);

        DB::table('srp_payouts')->insert([
            'code' => 'T2C',
            'payout' => 50.00,
        ]);

        DB::table('srp_payouts')->insert([
            'code' => 'T3C',
            'payout' => 50.00,
        ]);

        DB::table('srp_payouts')->insert([
            'code' => 'COM',
            'payout' => 100.00,
        ]);
    }
}
